# Project Deliverables

---

## Common

### Develop and retain a user community

We plan to create a user community where users can share their experiences with the project and provide feedback on some social platforms such as Telegram, Discord, or Matrix.

The goal is to promote our project in different open-source and security and privacy-focused communities to gather experienced users capable of interesting feedbacks.

As we do not focus on selling a product to anyone, but rather to develop an open-source protocol, user retention is not a priority, and it will be more of a KPI of the project's pertinence than a goal; this means we will focus on listening and taking into account good feedback rather than publishing funny posts on social media.

### Work on user experience

We will work on making the dialer user-friendly and easy to use.

We are confident in our current UX development path, and user feedback will be taken into account.

---

## Specifications

### Enhance credibility and grow project's reputation

- **Transparent Development:**
  Maintain a public roadmap and changelog to document every update and decision during the project's lifecycle.

- **Security Audits:**
  We will rely on our automatic tests and community experts to have organic and constant auditing.

- **Community Engagement:**
  Actively involve our user community in discussions, bug reports, and feature requests. Regularly update the community on progress and upcoming changes.

- **Open Source Best Practices:**
  Adhere to industry-standard coding practices, thorough documentation, and continuous integration/deployment pipelines to ensure high-quality, maintainable code.

- **Visibility in Key Forums:**
  Present and share our work in open-source, cybersecurity, and privacy-focused conferences and events to enhance credibility and attract constructive feedback.

### optimize relationships with the target audience



### Establish strategic partnership

- **Academic Collaborations:**
  Partner with academic institutions for research initiatives and validation of our protocol, leveraging their expertise for further improvements.

- **Industry Alliances:**
  Seek partnerships with established players in the open-source software industry to benefit from their wide community coverage, such as AOSP / GrapheneOS / LineageOS.

- **Integration Opportunities:**
  Explore collaborations with mobile operating systems (e.g., AOSP) and VoIP providers to integrate Icing into existing communication infrastructures.

- **Joint Innovation Projects:**
  Engage in co-development efforts that align with our mission, ensuring that both parties contribute to and benefit from technological advancements.

- **Funding and Support:**
  Identify and pursue grants, sponsorships, and research funding that align with the project's objectives, ensuring sustainable development.

